Download it now!
Bug 125678 - Crash on slideshow
Summary: Crash on slideshow
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-06-04 10:11 UTC by Daniel T.
Modified: 2020-01-03 03:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel T. 2019-06-04 10:11:16 UTC
Description:
Starting a slide show in Impress causes it to crash with the following error code: 

ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h, line 549

Steps to Reproduce:
1. Open an ODP presentation.
2. Click on F5.


Actual Results:
3. Impress crashes.

Expected Results:
Full screen slide show is displayed.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2019-06-04 10:15:32 UTC
Hello Daniel T.
Does it happen with any presentation or with one in particular? if so, could you please attach the document?
On the other hand, does it crash if you launch LibreOffice from command line with SAL_USE_VCLPLUGIN=gtk3 soffice ?
Comment 2 Daniel T. 2019-06-04 11:04:09 UTC
It seems to crash with any presentation. I tested with a newly created.

Starting it with SAL_USE_VCLPLUGIN=gtk3 seems to prevent it from crashing.
Comment 3 Michael Weghorn 2019-06-04 11:20:08 UTC
Cannot reproduce here.

Is this a single or a dual screen setup?
(I remember that there used to be a similar error message in a single screen setup with older LO versions, but that has been fixed quite a while ago already).

Can you please paste the version information from "Help" -> "About LibreOffice"?

What Qt version do you have?
Comment 4 Daniel T. 2019-06-04 12:08:29 UTC
I am using a single screen setup (laptop with nothing attached to it).

LibreOffice Version: 6.2.4.2
Build ID: 1:6.2.4-0ubuntu0.18.04.1~lo1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

My Qt version is 5.9.5 if I'm not mistaken.
Comment 5 Michael Weghorn 2019-06-04 12:29:14 UTC
Thanks.

What is the option for "Presentation" set to in "Slide Show" -> "Slide Show Settings" -> "Multiple Displays" -> "Presentation display"?

If this is "All displays", this could be the same as bug 124484.
Comment 6 Daniel T. 2019-06-04 13:52:56 UTC
This option is greyed out in my case.
Comment 7 QA Administrators 2019-06-05 02:54:57 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2019-06-05 10:37:55 UTC
Hello Daniel,
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 9 QA Administrators 2019-12-03 03:32:53 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2020-01-03 03:25:07 UTC
Dear Daniel T.,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp